Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc
Class SVNEditorAction

    java.lang.Object
      org.tmatesoft.svn.core.wc.SVNEditorAction

public class SVNEditorAction
extends Object

SVNEditorAction is used in extended merge operations to provide to `ISVNExtendedMergeCallback` editor actions.

Since:
  1.3
Version:
  1.3
Author:
  TMate Software Ltd.

Field Summary
`static SVNEditorAction` | `ADD` Add action.
`static SVNEditorAction` | `DELETE` Delete action.
`static SVNEditorAction` | `MODIFY` Modify action.

Method Summary
`String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ADD

    public static SVNEditorAction ADD

  Add action.

  Since:
    1.3

### MODIFY

    public static SVNEditorAction MODIFY

  Modify action.

  Since:
    1.3

### DELETE

    public static SVNEditorAction DELETE

  Delete action.

  Since:
    1.3

Method Detail

### toString

    public String toString()

  Returns a string representation of this object.

  Returns:
    string representation
  Since:
    1.3

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.